#
# Conditional build:
%bcond_without	gui	# without FLTK-based GUI
#
Summary:	HTML processing program
Summary(pl.UTF-8):	Program przetwarzający HTML
Name:		htmldoc
Version:	1.8.27
Release:	14
License:	GPL v2 with OpenSSL exception
Group:		Applications/Publishing
Source0:	ftp://ftp.easysw.com/pub/htmldoc/%{version}/%{name}-%{version}-source.tar.bz2
# Source0-md5:	35589e7b8fe9c54e11be87cd5aec4dcc
Patch0:		%{name}-libpng15.patch
Patch1:		htmldoc-1.8.27-fortify-fail.patch
Patch2:		htmldoc-1.8.27-scanf-overflows.patch
URL:		http://www.htmldoc.org/
%{?with_gui:BuildRequires:	xorg-lib-libXpm-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_gui:BuildRequires:	fltk-devel}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML processing program that generates HTML, PostScript, and PDF files
with a table of contents.

%description -l pl.UTF-8
Program przetwarzający HTML, który generuje pliki HTML, PostScript i
PDF ze spisem treści.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
%configure \
	%{!?with_gui:--without-gui}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	datadir=$RPM_BUILD_ROOT%{_datadir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	bindir=$RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING.txt CHANGES.txt README.txt
%doc doc/htmldoc.html doc/htmldoc-fig*.png doc/htmldoc.p* doc/help.html
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/htmldoc
%changelog
* Thu Jan 17 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/htmldoc.git;a=log;h=master

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f586f84
- release 14 (by relup.sh)

* Sat Feb 01 2014 Jan Rękorajski <baggins@pld-linux.org> 3f3d237
- upstream fix for libpng15
- rel 13

* Thu Nov 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2db4bc0
- rel 12; fixes from fc that prevent crashing

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d41bd52
- release 11 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> f4b2dd5
- new, patch from openbsd

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 69aafb7
- release 10 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 75fdd05
- release 9

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b9d7d6
- release 8

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 38ae40b
- release 7

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 724afaf
- release 6

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> f08edd0
- release 5

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 27b8e71
- release 4

* Thu Jan 28 2010 Jan Rękorajski <baggins@pld-linux.org> a306514
- working version on HEAD
- rel 3

* Fri Nov 27 2009 mis <mis@pld-linux.org> fac7c3b
- summary

* Fri Nov 27 2009 mis <mis@pld-linux.org> 79da556
- up to 1.9.x snap (UTF-8 support)

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c32c759
- release 2

* Sun Oct 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 6245a5f
- clarified License

* Mon Sep 17 2007 Jan Rękorajski <baggins@pld-linux.org> f71c185
- up to 1.8.27
- updated docs
- removed obsolete patch

* Mon Sep 17 2007 Jan Rękorajski <baggins@pld-linux.org> dbb3116
- outdated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 851559c
- tabs in preamble

